## kf6-kcontacts 6.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.13.0") # handled by release scripts
set(KF_DEP_VERSION "6.13.0") # handled by release scripts

project(KContacts VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.13.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION 6.6.0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(USE_QML "Build the QML plugin" ON)

set(KCONTACTS_LIB_VERSION ${KF_VERSION})

set(kcontacts_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcontacts_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCONTACTS
                        VERSION_HEADER "${kcontacts_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfigVersion.cmake"
                        SOVERSION 6
)

########### Find packages ###########
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Gui)
set_package_properties(Qt6Gui PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic library component"
)
if (USE_QML)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml)
endif()
find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"kcontacts6\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Quick)
    set_package_properties(Qt6Quick PROPERTIES
        TYPE OPTIONAL
        PURPOSE "QML integration test"
    )
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Contacts")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Contacts_QCH
        FILE KF6ContactsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ContactsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6ContactsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6ContactsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ContactsTargets.cmake NAMESPACE KF6::)

install(FILES
   ${kcontacts_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KContacts COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kcontacts 6.3.0

=== debian/changelog ===
kf6-kcontacts (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:55:26 +0200

kf6-kcontacts (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.
  * New binary package qml6-module-org-kde-contacts.
  * Remove unneeded lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Jun 2024 16:38:22 +0200

kf6-kcontacts (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Make d/watch use the correct upstream name.
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Apr 2024 11:20:14 +0200

kcontacts (5:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Disable tests (Closes: #1052841).
  * Enable LTO (Closes: #1015440).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:17 +0100

kcontacts (5:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:34 +0200

kcontacts (5:5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:54 +0100

kcontacts (5:5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:26 +0100

kcontacts (5:5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:04 +0100

kcontacts (5:5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:26 +0100

kcontacts (5:5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

kcontacts (5:5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:40 +0200

kcontacts (5:5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:32 +0200

kcontacts (5:5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:01 +0200

kcontacts (5:5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kcontacts (5:5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kcontacts (5:5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Add the iso-codes, and locales-all build dependencies, needed by some tests.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Drop patch disable-addresstest-formatTest, already disabled since
    5:5.90.0-1.
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Feb 2022 00:13:52 +0100

kcontacts (5:5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

kcontacts (5:5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 16:56:40 +0900

kcontacts (5:5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:51:40 +0900

kcontacts (5:5.85.0-2) unstable; urgency=medium

  * Release to unstable.



=== debian/control ===
Source: kf6-kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf6codecs-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libxkbcommon-dev,
               locales-all <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
Rules-Requires-Root: no

Package: libkf6contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf6contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.3.0~),
         libkf6config-dev (>= 6.3.0~),
         libkf6contacts6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6i18n-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf6contacts6
Architecture: any
Multi-Arch: same
Depends: libkf6contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: qml6-module-org-kde-contacts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: address book API for KDE frameworks (QML module)
 KContacts is an API for address book data.
 .
 This package contain the QML bindings.

## kf6-kcontacts 6.6.0

=== debian/changelog ===
kf6-kcontacts (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:05:01 +0100

kf6-kcontacts (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:52 +0100

kf6-kcontacts (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:33:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcontacts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -10,13 +11,13 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -25,8 +26,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcontacts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
 Rules-Requires-Root: no
 
 Package: libkf6contacts-data
@@ -42,11 +43,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.3.0~),
-         libkf6config-dev (>= 6.3.0~),
+Depends: libkf6codecs-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.6.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: development files for kcontacts

## kf6-kcontacts 6.9.0

=== debian/changelog ===
kf6-kcontacts (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:45:20 +0000

kf6-kcontacts (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 10:39:45 +0000

kf6-kcontacts (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:34:54 +0000

kf6-kcontacts (6.6.0-2) unstable; urgency=medium

  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 16:51:32 +0100

kf6-kcontacts (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:37 +0200

kf6-kcontacts (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:03 +0200

kf6-kcontacts (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -43,11 +44,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.6.0~),
-         libkf6config-dev (>= 6.6.0~),
+Depends: libkf6codecs-dev (>= 6.9.0~),
+         libkf6config-dev (>= 6.9.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
+         qml6-module-org-kde-contacts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: development files for kcontacts
@@ -78,8 +80,7 @@
 Package: qml6-module-org-kde-contacts
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: address book API for KDE frameworks (QML module)
  KContacts is an API for address book data.
  .

## kf6-kcontacts 6.10.0

=== debian/changelog ===
kf6-kcontacts (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:12 +0100

kf6-kcontacts (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:02:25 +0100

kf6-kcontacts (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:24 -0600

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: kf6-kcontacts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
+               libkf6codecs-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcontacts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
 Rules-Requires-Root: no
 
 Package: libkf6contacts-data
@@ -44,13 +44,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.9.0~),
-         libkf6config-dev (>= 6.9.0~),
+Depends: libkf6codecs-dev (>= 6.10.0~),
+         libkf6config-dev (>= 6.10.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.9.0~),
-         libkf6i18n-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.10.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: development files for kcontacts
  KContacts is an API for address book data.

## kf6-kcontacts 6.11.0

=== debian/changelog ===
kf6-kcontacts (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               libkf6codecs-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.10.0~),
-         libkf6config-dev (>= 6.10.0~),
+Depends: libkf6codecs-dev (>= 6.11.0~),
+         libkf6config-dev (>= 6.11.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-kcontacts 6.12.0

=== debian/changelog ===
kf6-kcontacts (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:50:40 +0000

kf6-kcontacts (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:46:32 +0000

kf6-kcontacts (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:17:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: kf6-kcontacts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
+               libkf6codecs-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcontacts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
 Rules-Requires-Root: no
 
 Package: libkf6contacts-data
@@ -44,13 +44,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.11.0~),
-         libkf6config-dev (>= 6.11.0~),
+Depends: libkf6codecs-dev (>= 6.12.0~),
+         libkf6config-dev (>= 6.12.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.11.0~),
-         libkf6i18n-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.12.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: development files for kcontacts
  KContacts is an API for address book data.

## kf6-kcontacts 6.13.0

=== debian/changelog ===
kf6-kcontacts (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: kf6-kcontacts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
+               libkf6codecs-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcontacts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
 Rules-Requires-Root: no
 
 Package: libkf6contacts-data
@@ -44,13 +44,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.12.0~),
-         libkf6config-dev (>= 6.12.0~),
+Depends: libkf6codecs-dev (>= 6.13.0~),
+         libkf6config-dev (>= 6.13.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.12.0~),
-         libkf6i18n-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
+         libkf6i18n-dev (>= 6.13.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: development files for kcontacts
  KContacts is an API for address book data.

## kf6-kcontacts 6.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,20 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.16.0") # handled by release scripts
+set(KF_DEP_VERSION "6.16.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.13.0 NO_MODULE)
+find_package(ECM 6.16.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -25,16 +25,13 @@
 include(ECMGenerateHeaders)
 include(ECMGenerateExportHeader)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
-include(ECMAddQch)
 include(ECMQmlModule)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 option(USE_QML "Build the QML plugin" ON)
 
@@ -65,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.12.0
+    KF 6.13.0
 )
 
 add_subdirectory(src)
@@ -82,16 +79,6 @@
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Contacts")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Contacts_QCH
-        FILE KF6ContactsQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ContactsQchTargets.cmake\")")
-endif()
 
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF6ContactsConfig.cmake.in"

=== debian/changelog ===
kf6-kcontacts (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:40:45 +0100

kf6-kcontacts (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:50 +0100

kf6-kcontacts (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: kf6-kcontacts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
+               libkf6codecs-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcontacts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
 Rules-Requires-Root: no
 
 Package: libkf6contacts-data
@@ -44,13 +44,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.13.0~),
-         libkf6config-dev (>= 6.13.0~),
+Depends: libkf6codecs-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.16.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.13.0~),
-         libkf6i18n-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6i18n-dev (>= 6.16.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: development files for kcontacts
  KContacts is an API for address book data.

## kf6-kcontacts 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.16.0") # handled by release scripts
-set(KF_DEP_VERSION "6.16.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.16.0 NO_MODULE)
+find_package(ECM 6.17.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -61,8 +61,8 @@
 ki18n_install(po)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.13.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kcontacts (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
+               libkf6codecs-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.16.0~),
-         libkf6config-dev (>= 6.16.0~),
+Depends: libkf6codecs-dev (>= 6.17.0~),
+         libkf6config-dev (>= 6.17.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it causes build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# xvfb-run -- dh_auto_test --no-parallel # Disable test due to 6 - kcontacts-addresstest (Failed)
